> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remplacement de feedback



## OpenAPI

````yaml /fr/weave/reference/service-api/openapi.json post /feedback/replace
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /feedback/replace:
    post:
      tags:
        - Feedback
      summary: Remplacement de feedback
      operationId: feedback_replace_feedback_replace_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FeedbackReplaceReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeedbackReplaceRes'
          description: Réponse réussie
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    FeedbackReplaceReq:
      additionalProperties: false
      properties:
        annotation_ref:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - weave:///entity/project/object/name:digest
          title: Annotation Ref
        call_ref:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - weave:///entity/project/call/call_id
          title: Call Ref
        creator:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - Jane Smith
          title: Creator
        feedback_id:
          title: Feedback Id
          type: string
        feedback_type:
          examples:
            - custom
          title: Feedback Type
          type: string
        id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            S'il est fourni par le client, cet ID sera utilisé pour la ligne de
            feedback au lieu d'un ID généré par le serveur.
          examples:
            - 018f1f2a-9c2b-7d3e-b5a1-8c9d2e4f6a7b
          title: Id
        payload:
          additionalProperties: true
          examples:
            - key: value
          title: Payload
          type: object
        project_id:
          examples:
            - entity/project
          title: Project Id
          type: string
        queue_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            ID de la file d'attente d'annotation à partir de laquelle ce
            feedback a été créé. Référence à annotation_queues.id. NULL lorsque
            le feedback est créé en dehors des files d'attente.
          examples:
            - 018f1f2a-9c2b-7d3e-b5a1-8c9d2e4f6a7b
          title: Queue Id
        runnable_ref:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - weave:///entity/project/op/name:digest
          title: Runnable Ref
        scorer_rating_confidences:
          additionalProperties:
            type: number
          description: confiance (0-1) par note, avec le nom de la note comme clé
          examples:
            - _rating_: 0.92
          title: Scorer Rating Confidences
          type: object
        scorer_rating_reasons:
          additionalProperties:
            type: string
          description: texte explicatif par note, avec le nom de la note comme clé
          examples:
            - _rating_: very confident response
          title: Scorer Rating Reasons
          type: object
        scorer_ratings:
          additionalProperties:
            type: number
          description: notes numériques (0-1), avec le nom de la note comme clé
          examples:
            - _rating_: 0.87
          title: Scorer Ratings
          type: object
        scorer_tag_confidences:
          additionalProperties:
            type: number
          description: confiance (0-1) par tag, avec le nom du tag comme clé
          examples:
            - nsfw: 0.92
          title: Scorer Tag Confidences
          type: object
        scorer_tag_reasons:
          additionalProperties:
            type: string
          description: texte explicatif par tag, avec le nom du tag comme clé
          examples:
            - nsfw: Contains explicit language
          title: Scorer Tag Reasons
          type: object
        scorer_tags:
          description: Tags appliqués à la ref par un scorer
          examples:
            - - nsfw
              - high-quality
          items:
            type: string
          title: Scorer Tags
          type: array
        trigger_ref:
          anyOf:
            - type: string
            - type: 'null'
          examples:
            - weave:///entity/project/object/name:digest
          title: Trigger Ref
        wb_user_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Ne définissez pas ce champ directement. Le serveur le renseignera
            automatiquement.
          title: Wb User Id
        weave_ref:
          examples:
            - weave:///entity/project/object/name:digest
          title: Weave Ref
          type: string
      required:
        - project_id
        - weave_ref
        - feedback_type
        - payload
        - feedback_id
      title: FeedbackReplaceReq
      type: object
    FeedbackReplaceRes:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          title: Id
          type: string
        payload:
          additionalProperties: true
          title: Payload
          type: object
        wb_user_id:
          title: Wb User Id
          type: string
      required:
        - id
        - created_at
        - wb_user_id
        - payload
      title: FeedbackReplaceRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````